<div class="dashboard-wrap">
    <div class="dashboard container-fluid">
        <div class="row" *ngIf="_developer && _account">
            <!-- Developer profile view -->
            <div class="col-xs-12 col-md-9">
                <profile-details #profileDetails [account]="_account" [developer]="_developer" (onDeveloperUpdate)="_onDeveloperUpdate($event)">
                </profile-details>
            </div>

            <!-- Dashboard side panel -->
            <div class="hidden-xs hidden-sm col-md-3 md-edge-fix">
                <!-- Progress meter indicating profile completion progress -->
                <progress-meter [developer]='_developer' (onClickUpNext)="_onClickUpNext($event)"></progress-meter>

                <!-- Interview requests mailbox contents notifier -->
                <div>
                    <ir-notifier></ir-notifier>
                </div>

                <!-- Your next happiness question notifier -->
                <div>
                    <next-question [developer]='_developer'></next-question>
                </div>
            </div>
        </div>
    </div>
</div>
